> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-11/v11-12-0.md).

# Version 11.12.0 Changelog (April 1, 2026)

View the changelog the 11.12.0 for Xamarin

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 11.12.0 of the iOS and Android SDKs.

## Xamarin.Android

### New

* Adds ability to use ToolManager.selectAnnots API in read-only mode.

### Fixes

* Fixed issue where PreToolManagerListeners were not working as expected.
* Fixed issue where ToolManager.disableAnnotEditing would impact all PDFViewCtrls in the session instead of just the PDFViewCtrl associated with this particular ToolManager.

## Xamarin.iOS

### New

* Added new live measurement label for measurement ruler tool.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/changelogs/version-11/v11-12-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
